AI resources
Get payment by payment ID

Returns the details of a payment by its ID.

GET

https://api.mercadopago.com/instore/v2/external/payments/{payment_id}
Request parameters
Header
Authorization
string

REQUIRED

Bearer access token.
trace-id
string

REQUIRED

Traceability identifier.
Path
payment_id
string

REQUIRED

Payment ID.
Response parameters
payment_id
string
Unique identifier of the payment assigned by Mercado Pago.
order_id
string
Identifier of the order to which this payment belongs, as returned by the Resolve QR endpoint.
status
string
Current status of the payment in the Mercado Pago processing flow.
APPROVED: Payment approved.
REJECTED: Payment rejected.
IN_PROCESS: Payment being processed.
status_code
string
Detailed status code providing additional context about the payment result, such as the specific approval or rejection reason.
Errors

404Not Found

500Internal Server Error

Request
curl -X GET \
    'https://api.mercadopago.com/instore/v2/external/payments/{payment_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-' \
       -H 'trace-id: ' \
    
Response
{
  "payment_id": "123",
  "order_id": "5582e8e3-a263-4c6b-bc12-a2d7b7f92860",
  "status": "APPROVED",
  "status_code": "APPROVED",
  "authorization_code": "301299",
  "amount": {
    "value": 100,
    "currency": "ARS"
  },
  "authorized_amount": {
    "value": 100,
    "currency": "ARS"
  },
  "plan": {
    "id": "MC10085214051",
    "type": "COMERCIO",
    "description": "description",
    "installments": 1,
    "total_amount": {
      "value": 300.5,
      "currency": "ARS"
    },
    "installment_amount": {
      "value": 300.5,
      "currency": "ARS"
    }
  },
  "card": {
    "original_bin": "450995",
    "original_last4": "3704",
    "type": "CREDIT",
    "brand_id": "118",
    "issuer_id": "310",
    "holder": {
      "name": "Test Test",
      "identification_type": "DNI",
      "identification_number": "23000000"
    }
  },
  "wallet": {
    "name": "galicia",
    "provider": "modo",
    "brand_wallet_id": "id_brand_123",
    "user": {
      "email": "test@example.com",
      "phone": "1141234567",
      "device_id": "ID_1234",
      "identification_type": "DNI",
      "identification_number": "33485274"
    }
  },
  "refunds": [],
  "created_at": "2024-01-17T11:37:47.000-04:00",
  "updated_at": "2024-01-17T11:37:47.000-04:00",
  "additional_info": null
}